

set -ex



nosetests --with-coverage --cover-package=bob.hobpad2.chapter24 -sv bob.hobpad2.chapter24
sphinx-build -aEW /local/builds/bob/bob.hobpad2.chapter24/conda/../doc /local/builds/bob/bob.hobpad2.chapter24/conda/../sphinx
sphinx-build -aEb doctest /local/builds/bob/bob.hobpad2.chapter24/conda/../doc sphinx
conda inspect linkages -p $PREFIX bob.hobpad2.chapter24
bob measure gen generic_scores
bob measure hist generic_scores/scores-dev -o fig4.a.pdf
bob measure det generic_scores/scores-dev -o fig4.b.pdf --lines-at ' ' --no-disp-legend --titles ' '
bob measure epc generic_scores/scores-{dev,eval} -o fig4.c.pdf --titles ' ' --no-disp-legend -xl '$\beta$'
bob vulnerability gen vuln_scores
bob vulnerability hist vuln_scores/{licit,spoof}/scores-dev -o fig5.a.pdf --no-iapmr-line
bob vulnerability hist vuln_scores/{licit,spoof}/scores-dev -o fig5.b.pdf --no-real-data
bob vulnerability det vuln_scores/{licit,spoof}/scores-dev -o fig5.c.pdf --fnmr 0.0214 --no-real-data --title ' '
bob vulnerability fmr_iapmr vuln_scores/{licit,spoof}/scores-{dev,eval} -o fig5.d.pdf --no-disp-legend --title ' '
bob vulnerability epc vuln_scores/{licit,spoof}/scores-{dev,eval} -o fig5.e.pdf --title ' '
bob vulnerability epsc vuln_scores/{licit,spoof}/scores-{dev,eval} -o fig5.f.pdf -nI --titles 'EPSC with $\beta = 0.50$' --no-disp-legend
exit 0
